package at.ac.uibk.gitsearch.service.mapper;

import at.ac.uibk.gitsearch.domain.Review;
import at.ac.uibk.gitsearch.domain.ReviewRating;
import at.ac.uibk.gitsearch.service.dto.ReviewDTO;
import java.util.Collections;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;
import org.mapstruct.BeanMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;

/**
 * Mapper for the entity {@link Review} and its DTO {@link ReviewDTO}.
 */
@Mapper(componentModel = "spring", uses = {})
public interface ReviewMapper extends EntityMapper<ReviewDTO, Review> {
    @Named("id")
    @BeanMapping(ignoreByDefault = true)
    @Mapping(target = "id", source = "id")
    ReviewDTO toDtoId(Review review);

    @Named("resource")
    @BeanMapping(ignoreByDefault = true)
    @Mapping(target = "id", source = "id")
    @Mapping(target = "resource", source = "resource")
    ReviewDTO toDtoResource(Review review);

    @Override
    Review toEntity(ReviewDTO dto);

    @Override
    ReviewDTO toDto(Review entity);

    default Set<ReviewRating> map(List<String> value) {
        return new HashSet<>();
    }

    default List<String> map(Set<ReviewRating> value) {
        if (value == null) {
            return Collections.emptyList();
        }
        return value.stream().map(rr -> rr.getComment()).collect(Collectors.toList());
    }
}
