import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { ReviewRatingsComponent } from './review-ratings/review-ratings.component';
import { ReviewsComponent } from './reviews/reviews.component';

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: 'saved-searches',
        data: { pageTitle: 'gitsearchApp.savedSearches.home.title' },
        loadChildren: () => import('./saved-searches/saved-searches.module').then(m => m.GitsearchSavedSearchesModule),
      },
      {
        path: 'statistics',
        loadChildren: () => import('./statistics/statistics.module').then(m => m.GitsearchStatisticsModule),
      },
      {
        path: 'user-watch-list',
        data: { pageTitle: 'gitsearchApp.userWatchList.home.title' },
        loadChildren: () => import('./user-watch-list/user-watch-list.module').then(m => m.UserWatchListModule),
      },
      {
        path: 'watch-list-entry',
        loadChildren: () => import('./watch-list-entry/watch-list-entry.module').then(m => m.GitsearchWatchListEntryModule),
      },
      {
        path: 'likes',
        loadChildren: () => import('./likes/likes.module').then(m => m.GitsearchLikesModule),
      },
      {
        path: 'reviews',
        component: ReviewsComponent,
      },
      {
        path: 'review-ratings',
        component: ReviewRatingsComponent,
      },
      {
        path: 'review-rating',
        data: { pageTitle: 'gitsearchApp.reviewRating.home.title' },
        loadChildren: () => import('./review-rating/review-rating.module').then(m => m.ReviewRatingModule),
      },
      {
        path: 'review',
        data: { pageTitle: 'gitsearchApp.review.home.title' },
        loadChildren: () => import('./review/review.module').then(m => m.ReviewModule),
      },
      {
        path: 'review-history-entry',
        data: { pageTitle: 'gitsearchApp.reviewHistoryEntry.home.title' },
        loadChildren: () => import('./review-history-entry/review-history-entry.module').then(m => m.ReviewHistoryEntryModule),
      },

      /* jhipster-needle-add-entity-route - JHipster will add entity modules routes here */
    ]),
  ],
})
export class EntityRoutingModule {}
